# std::iterator_traits< Iterator > Struct Template Reference

`#include <stl_iterator_base_types.h>`

Inheritance diagram for std::iterator_traits< Iterator >:

[legend]
List of all members.

## Detailed Description

### template<typename Iterator>
struct std::iterator_traits< Iterator >

This class does nothing but define nested typedefs. The general version simply "forwards" the nested typedefs from the Iterator argument. Specialized versions for pointers and pointers-to-const provide tighter, more correct semantics.

Definition at line 127 of file stl_iterator_base_types.h.

The documentation for this struct was generated from the following file:

- stl_iterator_base_types.h